dsconfig get-root-dse-backend-prop
Prev | dsconfig Subcommands Reference | Next

## Name

dsconfig get-root-dse-backend-prop — Shows Root DSE Backend properties

## Synopsis

`dsconfig get-root-dse-backend-prop` {options}

## Description

Shows Root DSE Backend properties.

## Options

The dsconfig get-root-dse-backend-prop command takes the following options:

`--property {property}`

  The name of a property to be displayed.

  Root DSE Backend properties depend on the Root DSE Backend type, which depends on the {property} you provide.

  By default, OpenDJ directory server supports the following Root DSE Backend types:

  root-dse-backend

    Default {property}: Root DSE Backend

    Enabled by default: false

    See the section called “Root DSE Backend” for the properties of this Root DSE Backend type.

`-E | --record`

  Modifies the display output to show one property value per line.

  Root DSE Backend properties depend on the Root DSE Backend type, which depends on the null you provide.

  By default, OpenDJ directory server supports the following Root DSE Backend types:

  root-dse-backend

    Default null: Root DSE Backend

    Enabled by default: false

    See the section called “Root DSE Backend” for the properties of this Root DSE Backend type.

`-z | --unit-size {unit}`

  Display size data using the specified unit. The value for UNIT can be one of b, kb, mb, gb, or tb (bytes, kilobytes, megabytes, gigabytes, or terabytes).

  Root DSE Backend properties depend on the Root DSE Backend type, which depends on the {unit} you provide.

  By default, OpenDJ directory server supports the following Root DSE Backend types:

  root-dse-backend

    Default {unit}: Root DSE Backend

    Enabled by default: false

    See the section called “Root DSE Backend” for the properties of this Root DSE Backend type.

`-m | --unit-time {unit}`

  Display time data using the specified unit. The value for UNIT can be one of ms, s, m, h, d, or w (milliseconds, seconds, minutes, hours, days, or weeks).

  Root DSE Backend properties depend on the Root DSE Backend type, which depends on the {unit} you provide.

  By default, OpenDJ directory server supports the following Root DSE Backend types:

  root-dse-backend

    Default {unit}: Root DSE Backend

    Enabled by default: false

    See the section called “Root DSE Backend” for the properties of this Root DSE Backend type.

## Root DSE Backend

Root DSE Backends of type root-dse-backend have the following properties:

show-all-attributes
  Description

    Indicates whether all attributes in the root DSE are to be treated like user attributes (and therefore returned to clients by default) regardless of the directory server schema configuration.

  Default Value

    None

  Allowed Values

    true

    false

  Multi-valued

    No

  Required

    Yes

  Admin Action Required

    None

  Advanced Property

    No

  Read-only

    No

show-subordinate-naming-contexts
  Description

    Indicates whether subordinate naming contexts should be visible in the namingContexts attribute of the RootDSE. By default only top level naming contexts are visible

  Default Value

    false

  Allowed Values

    true

    false

  Multi-valued

    No

  Required

    Yes

  Admin Action Required

    None

  Advanced Property

    No

  Read-only

    No

Prev | Up | Next
dsconfig get-root-dn-prop | Home | dsconfig get-sasl-mechanism-handler-prop